Bug 536193 - (RHQ-56) Interpret and flag updated packages in package audit trail
Interpret and flag updated packages in package audit trail
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: RHQ-51
  Show dependency treegraph
 
Reported: 2008-03-10 12:54 EDT by Jason Dobies
Modified: 2014-05-14 09:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-14 09:18:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-03-10 12:54:00 EDT
There is no formal concept of "updating a package" on a resource. It's considered deploying a new package version out to the resource. 

While the model doesn't explicitly have a package update, we can potentially interpret a series of actions as an update and flag it as such in the audit trail. In many cases, when a package report is merged, for a particular package we will see one package version removed and another added (put in terms of the current InstalledPackageHistoryStatus flags, one will be "missing" and another will be "discovered"). The important thing to keep in mind here is that these are both package versions for the same package. We could potentially merge these two audit trail entries into one that is supposed to represent an "update".

This process would still allow a resource to have multiple package versions deployed at the same time. In such a case, there won't be a missing entry for the old package version and wouldn't trigger our update logic.

This is just one possible approach. Before pursuing an implementation, some more thought should go into whether or not this is even desired functionality in the first place.
Comment 1 Jason Dobies 2008-03-25 16:08:06 EDT
Based on the work required, this is being postponed.
Comment 2 Red Hat Bugzilla 2009-11-10 16:12:06 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-56

Note You need to log in before you can comment on or make changes to this bug.